package com.chelvc.cloud.vehicle.api.service;

import com.chelvc.cloud.vehicle.api.dto.OmsOrderOperateHistoryDTO;
import com.chelvc.framework.common.model.Pagination;
import com.chelvc.framework.common.model.Paging;

/**
 * 订单操作记录
 */
public interface OmsOrderOperateHistoryService {

    /**
     * 根据用户查询订单通知信息
     *
     * @param userId 用户id
     * @param paging 分页信息
     * @return 订单操作历史记录
     */
    Pagination<OmsOrderOperateHistoryDTO> selectOmsOrderOperateHistoryListByUserId(Long userId, Paging paging);

    /**
     * 将新订单通知标识更改
     *
     * @param userId 用户id
     */
    void changeUserOrderInformFlag(Long userId);
}
